<?php

/*
 * PHPOF2/DBRow/Simple.php - a basic (resource-saving) DBRow object with only 
 * basic properties and methods defined
 *
 * (c)2001-2008 Tim Jackson (tim@timj.co.uk)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of version 3 of the GNU Lesser General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package PHPOF2
 */

class PHPOF2_DBRow_Simple
{
	public  $_labels=array();
	private $_descriptive_name = null;
	private $_table_name;
	private $_table_name_singular;
	
	public function __construct(PHPOF2_DBRow &$row) {
		$this->_table_name = $row->table->getTableLabel();
		$this->_table_name_singular = $row->table->getTableSingularLabel();
		try {
			$this->_descriptive_name = $row->getDescriptiveName();
		} catch (Exception $e) {
			$this->_descriptive_name = '';
		}
	}
	
	public function getLabel( $field )
	{
		return $this->_labels[$field];
	}

	public function getTableLabel()
	{
		return $this->_table_name;
	}
	
	public function getTableSingularLabel()
	{
		return $this->_table_name_singular;
	}
	
	public function getDescriptiveName()
	{
		return $this->_descriptive_name;
	}
}
